AurionAI Docs

Get Unified Overview

Return profile-appropriate analytics overview in a single call (Issue #470).

GET
/api/v2/analytics/unified-overview

Return profile-appropriate analytics overview in a single call (Issue #470).

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

date_from?|

ISO datetime lower bound

date_to?|

ISO datetime upper bound

Response Body

application/json

application/json

curl -X GET "https://loading/api/v2/analytics/unified-overview"
{
  "cross_product": {
    "blended_resolution_rate": 0,
    "cs_share": 0,
    "total_interactions": 0,
    "voice_share": 0
  },
  "cs": {
    "ai_resolution_rate": 0,
    "ai_resolved_count": 0,
    "channel_distribution": [
      {
        "channel": "string",
        "conversation_count": 0
      }
    ],
    "csat_avg": 0,
    "escalation_rate": 0,
    "first_response_minutes_avg": 0,
    "human_resolved_count": 0,
    "resolution_minutes_median": 0,
    "total_conversations": 0
  },
  "kb": {
    "ai_resolutions": 0,
    "helpfulness_rate": 0,
    "total_published": 0,
    "total_views": 0
  },
  "profile": "string",
  "voice": {
    "avg_duration_seconds": 0,
    "completed_calls": 0,
    "escalation_count": 0,
    "failed_calls": 0,
    "first_call_resolution_rate": 0,
    "tickets_created": 0,
    "total_calls": 0
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}